microsoft.aspnetcore.all vulnerabilities

Provides a default set of APIs for building an ASP.NET Core application, and also includes API for third-party integrations with ASP.NET Core. This package requires the ASP.NET Core runtime. This runtime is installed by the .NET Core SDK, or can be acquired separately using installers available at https://aka.ms/dotnet-download.

Direct Vulnerabilities

Known vulnerabilities in the microsoft.aspnetcore.all package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • H
Remote Code Execution (RCE)

[2.1.0,2.1.15)
  • H
Denial of Service (DoS)

[2.1.0,2.1.15)
  • M
Open Redirect

[2.1.0,2.1.12) [2.2.0,2.2.6)
  • M
Denial of Service (DoS)

[2.2.0,2.2.1) [2.1.0,2.1.7)
  • H
Denial of Service (DoS)

[2.1.0,2.1.4)
  • M
Denial of Service (DoS)

(,2.0.9) [2.1.0,2.1.2)
  • H
Denial of Service (DoS)

(,2.0.3) [2.1.0-preview1-final,2.1.0-rc1-final)
  • H
Open Redirect

[2,2.0.3)